#!/bin/sh

# Install doom framework for emacs

# Set path for repository to clone
doom="$HOME/.emacs-doom"

# Install only if custom emacs configuration does not exist yet
if ! test -d "$doom"; then

    # Clone repo
    git clone https://github.com/hlissner/doom-emacs "$doom"

    # Install framework and agree to all questions which are so far:
    # - cache current environment variables
    # - install font
    yes | "$doom"/bin/doom install

    # Set doom profile as default
    echo doom > "$HOME/.emacs-profile"

fi
